Loading...
Searching...
No Matches
Opm::RatioCalculator< Value > Class Template Reference

## Public Types

using | Scalar = decltype(getValue(Value{}))

## Public Member Functions

| RatioCalculator (int gasCompIdx, int oilCompIdx, int waterCompIdx, std::string_view name)
void | disOilVapWatVolumeRatio (Value &volumeRatio, const Value &rvw, const Value &rsw, const Value &pressure, const std::vector< Value > &cmix_s, const std::vector< Value > &b_perfcells_dense, DeferredLogger &deferred_logger) const
void | gasOilPerfRateInj (const std::vector< Value > &cq_s, PerforationRates< Scalar > &perf_rates, const Value &rv, const Value &rs, const Value &pressure, const Value &rvw, const bool waterActive, DeferredLogger &deferred_logger) const
void | gasOilPerfRateProd (std::vector< Value > &cq_s, PerforationRates< Scalar > &perf_rates, const Value &rv, const Value &rs, const Value &rvw, const bool waterActive, const bool isProducer) const
void | gasOilVolumeRatio (Value &volumeRatio, const Value &rv, const Value &rs, const Value &pressure, const std::vector< Value > &cmix_s, const std::vector< Value > &b_perfcells_dense, DeferredLogger &deferred_logger) const
void | gasWaterPerfRateInj (const std::vector< Value > &cq_s, PerforationRates< Scalar > &perf_rates, const Value &rvw, const Value &rsw, const Value &pressure, DeferredLogger &deferred_logger) const
void | gasWaterPerfRateProd (std::vector< Value > &cq_s, PerforationRates< Scalar > &perf_rates, const Value &rvw, const Value &rsw, const bool isProducer) const

The documentation for this class was generated from the following files:

- opm/simulators/wells/RatioCalculator.hpp
- opm/simulators/wells/RatioCalculator.cpp